#ifndef _HF_OPTIONS_
#define _HF_OPTIONS_

typedef struct Options Options;
typedef struct OptionsChoices OptionsChoices;

#include "game.h"

struct Options {
  int kan_value;
  int number_of_rounds;
  int card_backs;
  int deal_speed;
};

struct OptionsChoices {
  char *choice[5];
  int count;
  int y;
  void (*handle)(Game*, int);
};

void load_options_from_game(Game *g);
void save_options_to_game(Game *g);
void options_handle_input(Game *g);
void options_draw(Game *g);

#endif
